Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class Message

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.Message

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class Message

extends Object
implements Serializable

Java class for MessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Severity" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SeverityType"/>
             <element name="ReasonCode">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="16"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Diagnostic">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="256"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="AuthorCode">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="64"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Information" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationType" maxOccurs="15" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Message()`

Method Summary
`String` | `getAuthorCode()` Gets the value of the authorCode property.
`String` | `getDiagnostic()` Gets the value of the diagnostic property.
`List<InformationType>` | `getInformations()` Gets the value of the informations property.
`String` | `getReasonCode()` Gets the value of the reasonCode property.
`String` | `getSeverity()` Gets the value of the severity property.
`void` | `setAuthorCode(String value)` Sets the value of the authorCode property.
`void` | `setDiagnostic(String value)` Sets the value of the diagnostic property.
`void` | `setReasonCode(String value)` Sets the value of the reasonCode property.
`void` | `setSeverity(String value)` Sets the value of the severity property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message()

Method Detail

### getSeverity

    public String getSeverity()

  Gets the value of the severity property.

  Returns:
    possible object is `String`

### setSeverity

    public void setSeverity(String value)

  Sets the value of the severity property.

  Parameters:
    `value` - allowed object is `String`

### getReasonCode

    public String getReasonCode()

  Gets the value of the reasonCode property.

  Returns:
    possible object is `String`

### setReasonCode

    public void setReasonCode(String value)

  Sets the value of the reasonCode property.

  Parameters:
    `value` - allowed object is `String`

### getDiagnostic

    public String getDiagnostic()

  Gets the value of the diagnostic property.

  Returns:
    possible object is `String`

### setDiagnostic

    public void setDiagnostic(String value)

  Sets the value of the diagnostic property.

  Parameters:
    `value` - allowed object is `String`

### getAuthorCode

    public String getAuthorCode()

  Gets the value of the authorCode property.

  Returns:
    possible object is `String`

### setAuthorCode

    public void setAuthorCode(String value)

  Sets the value of the authorCode property.

  Parameters:
    `value` - allowed object is `String`

### getInformations

    public List<InformationType> getInformations()

  Gets the value of the informations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the informations property.

  For example, to add a new item, do as follows:

          getInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `InformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.